Package ghidra.program.model.data

# Class AbstractUnsignedIntegerDataType

java.lang.Object
ghidra.program.model.data.AbstractDataType
ghidra.program.model.data.DataTypeImpl
ghidra.program.model.data.BuiltIn
ghidra.program.model.data.AbstractIntegerDataType
ghidra.program.model.data.AbstractUnsignedIntegerDataType

All Implemented Interfaces:
  `ArrayStringable`, `BuiltInDataType`, `DataType`, `ExtensionPoint`

Direct Known Subclasses:
  `BooleanDataType`, `ByteDataType`, `DWordDataType`, `QWordDataType`, `UnsignedInteger16DataType`, `UnsignedInteger3DataType`, `UnsignedInteger5DataType`, `UnsignedInteger6DataType`, `UnsignedInteger7DataType`, `UnsignedIntegerDataType`, `UnsignedLongDataType`, `UnsignedLongLongDataType`, `UnsignedShortDataType`, `WordDataType`

public abstract class AbstractUnsignedIntegerDataType extends AbstractIntegerDataType
Base type for unsigned integer data types.

- ## Field Summary

  ### Fields inherited from class ghidra.program.model.data.AbstractIntegerDataType

  `ENDIAN, MNEMONIC, PADDING`

  ### Fields inherited from class ghidra.program.model.data.DataTypeImpl

  `defaultSettings`

  ### Fields inherited from class ghidra.program.model.data.AbstractDataType

  `categoryPath, dataMgr, name`

  ### Fields inherited from interface ghidra.program.model.data.DataType

  `CONFLICT_SUFFIX, DEFAULT, NO_LAST_CHANGE_TIME, NO_SOURCE_SYNC_TIME, TYPEDEF_ATTRIBUTE_PREFIX, TYPEDEF_ATTRIBUTE_SUFFIX, VOID`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `AbstractUnsignedIntegerDataType(String name, DataTypeManager dtm)`
  Constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `isSigned()`
  Determine if this type is signed.

  ### Methods inherited from class ghidra.program.model.data.AbstractIntegerDataType

  `castValueToEncode, encodeRepresentation, encodeValue, getArrayDefaultLabelPrefix, getArrayDefaultOffcutLabelPrefix, getAssemblyMnemonic, getBitCount, getBuiltInSettingsDefinitions, getCDeclaration, getCMnemonic, getDefaultLabelPrefix, getFormatSettingsDefinition, getMnemonic, getOppositeSignednessDataType, getRepresentation, getSignedDataType, getSignedDataTypes, getUnsignedDataType, getUnsignedDataTypes, getValue, getValueClass, hasStringValue, isEncodable, isEquivalent`

  ### Methods inherited from class ghidra.program.model.data.BuiltIn

  `addParent, copy, dataTypeDeleted, dataTypeNameChanged, dataTypeReplaced, dataTypeSizeChanged, dependsOn, getCTypeDeclaration, getCTypeDeclaration, getCTypeDeclaration, getCTypeDeclaration, getDecompilerDisplayName, getLastChangeTime, getSettingsDefinitions, getUniversalID, removeParent, setCategoryPath, setDefaultSettings, setName, setNameAndCategory`

  ### Methods inherited from class ghidra.program.model.data.DataTypeImpl

  `equals, getAlignedLength, getAlignment, getDefaultSettings, getLastChangeTimeInSourceArchive, getParents, getPathName, getSourceArchive, hashCode, notifyAlignmentChanged, notifyDeleted, notifyNameChanged, notifyParents, notifyReplaced, notifySizeChanged, replaceWith, setDescription, setLastChangeTime, setLastChangeTimeInSourceArchive, setSourceArchive`

  ### Methods inherited from class ghidra.program.model.data.AbstractDataType

  `dataTypeAlignmentChanged, getCategoryPath, getDataOrganization, getDataOrganization, getDataTypeManager, getDataTypePath, getDefaultAbbreviatedLabelPrefix, getDefaultLabelPrefix, getDefaultOffcutLabelPrefix, getDisplayName, getDocs, getName, getTypeDefSettingsDefinitions, hasLanguageDependantLength, isDeleted, isNotYetDefined, isZeroLength, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ghidra.program.model.data.ArrayStringable

  `getArrayString`

  ### Methods inherited from interface ghidra.program.model.data.DataType

  `addParent, clone, copy, dataTypeAlignmentChanged, dataTypeDeleted, dataTypeNameChanged, dataTypeReplaced, dataTypeSizeChanged, dependsOn, getAlignedLength, getAlignment, getCategoryPath, getDataOrganization, getDataTypeManager, getDataTypePath, getDefaultAbbreviatedLabelPrefix, getDefaultLabelPrefix, getDefaultOffcutLabelPrefix, getDefaultSettings, getDescription, getDisplayName, getDocs, getLastChangeTime, getLastChangeTimeInSourceArchive, getLength, getName, getParents, getPathName, getSettingsDefinitions, getSourceArchive, getTypeDefSettingsDefinitions, getUniversalID, hasLanguageDependantLength, isDeleted, isNotYetDefined, isZeroLength, removeParent, replaceWith, setCategoryPath, setDescription, setLastChangeTime, setLastChangeTimeInSourceArchive, setName, setNameAndCategory, setSourceArchive`

- ## Constructor Details

  - ### AbstractUnsignedIntegerDataType

    protected AbstractUnsignedIntegerDataType(String name, DataTypeManager dtm)
    Constructor
    Parameters:
      `name` - a unsigned data-type name (also used as the mnemonic)
      `dtm` - data-type manager whose data organization should be used

- ## Method Details

  - ### isSigned

    public final boolean isSigned()
    Description copied from class: `AbstractIntegerDataType`
    Determine if this type is signed.
    Specified by:
      `isSigned` in class `AbstractIntegerDataType`
    Returns:
      true if this is a signed integer data-type